Chromium Code Reviews
Help | Chromium Project | Sign in
(49)

Issue 10836347: Add support for multiple browser instances reliability tests. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 6 months ago by chrisphan
Modified:
2 years, 4 months ago
Reviewers:
cmp, sky
CC:
chromium-reviews, pam+watch_chromium.org
Visibility:
Public.

Description

Add support for running multiple browser instances with reliability tests. Originally, crash_service.exe dumps all encountered crash dump files into a single directory. But if multiple browser instances are running, we want to identify which crash belongs to which browser instance. - Add a flag to crash service to archive the generated crash dumps under directory by the browser process id. - Add a flag to page_load_tests to look for crashes under the directory by the process id. For example: %USERPROFILE%\AppData\Local\Google\CrashReports\pid\3f4233fhs.dmp NOTRY=true Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=165702

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : #

Total comments: 4

Patch Set 5 : #

Total comments: 2

Messages

Total messages: 14 (0 generated)
chrisphan
2 years, 6 months ago (2012-08-20 19:20:46 UTC) #1
chrisphan
On 2012/08/20 19:20:46, chrisphan wrote: Hi Chase, when you have time can you take a ...
2 years, 5 months ago (2012-09-27 21:31:30 UTC) #2
cmp
http://codereview.chromium.org/10836347/diff/9002/chrome/test/reliability/page_load_test.cc File chrome/test/reliability/page_load_test.cc (right): http://codereview.chromium.org/10836347/diff/9002/chrome/test/reliability/page_load_test.cc#newcode34 chrome/test/reliability/page_load_test.cc:34: // --dumpsbypid: Look for crash dumps by browser process ...
2 years, 5 months ago (2012-10-02 19:47:28 UTC) #3
chrisphan
http://codereview.chromium.org/10836347/diff/9002/chrome/test/reliability/page_load_test.cc File chrome/test/reliability/page_load_test.cc (right): http://codereview.chromium.org/10836347/diff/9002/chrome/test/reliability/page_load_test.cc#newcode34 chrome/test/reliability/page_load_test.cc:34: // --dumpsbypid: Look for crash dumps by browser process ...
2 years, 5 months ago (2012-10-02 23:10:51 UTC) #4
chrisphan
On 2012/10/02 23:10:51, chrisphan wrote: > http://codereview.chromium.org/10836347/diff/9002/chrome/test/reliability/page_load_test.cc > File chrome/test/reliability/page_load_test.cc (right): > > http://codereview.chromium.org/10836347/diff/9002/chrome/test/reliability/page_load_test.cc#newcode34 > ...
2 years, 4 months ago (2012-10-16 21:28:15 UTC) #5
cmp
lgtm
2 years, 4 months ago (2012-11-01 23:53:22 UTC) #6
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/chrisphan@chromium.org/10836347/14001
2 years, 4 months ago (2012-11-01 23:54:32 UTC) #7
I haz the power (commit-bot)
Presubmit check for 10836347-14001 failed and returned exit status 1. Running presubmit commit checks ...
2 years, 4 months ago (2012-11-01 23:54:34 UTC) #8
cmp
Not sure who added sky, but you beat me to it. +sky, can you take ...
2 years, 4 months ago (2012-11-02 00:36:24 UTC) #9
sky
LGTM https://chromiumcodereview.appspot.com/10836347/diff/14001/chrome/test/reliability/page_load_test.cc File chrome/test/reliability/page_load_test.cc (right): https://chromiumcodereview.appspot.com/10836347/diff/14001/chrome/test/reliability/page_load_test.cc#newcode127 chrome/test/reliability/page_load_test.cc:127: bool g_stand_alone = false; None of the these ...
2 years, 4 months ago (2012-11-02 15:03:04 UTC) #10
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/chrisphan@chromium.org/10836347/14001
2 years, 4 months ago (2012-11-02 17:35:45 UTC) #11
I haz the power (commit-bot)
Step "update" is always a major failure. Look at the try server FAQ for more ...
2 years, 4 months ago (2012-11-02 17:54:21 UTC) #12
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/chrisphan@chromium.org/10836347/14001
2 years, 4 months ago (2012-11-02 18:00:33 UTC) #13
I haz the power (commit-bot)
2 years, 4 months ago (2012-11-02 18:00:49 UTC) #14
Change committed as 165702
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld dd99357-tainted